# $Revision: 1.62 $, $Date: 2011/02/04 18:24:00 $
Summary:	Gettext catalogs editor
Summary(pl.UTF-8):	Edytor katalogów gettexta
Name:		poedit
Version:	1.4.6.1
Release:	2
License:	MIT
Group:		X11/Applications/Editors
Source0:	http://downloads.sourceforge.net/poedit/%{name}-%{version}.tar.gz
# Source0-md5:	c63ffd991b1a6085ef356a6922356e0a
Patch0:		%{name}-desktop.patch
URL:		http://poedit.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gtk+2-devel
BuildRequires:	gtkspell-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	wxGTK2-unicode-devel >= 2.8.0
BuildRequires:	wxWidgets-utils
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	gettext
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
poEdit is cross-platform gettext catalogs (.po files) editor. It is
built with wxWindows toolkit and can run on Unix or Windows. It aims
to provide convenient way of editing gettext catalogs. It features
UTF-8 support, fuzzy and untranslated records highlighting,
whitespaces highlighting, references browser, headers editing and can
be used to create new catalogs or update existing catalogs from source
code by single click.

%description -l pl.UTF-8
poEdit jest wieloplatformowym edytorem katalogów gettexta (plików
.po). Używa toolkitu wxWindows, więc może działać pod Uniksem oraz pod
Windows. Możliwości programu to: obsługa UTF-8, podświetlanie rekordów
nie przetłumaczonych i niepewnych ("fuzzy"), podświetlanie odstępów,
przeglądarka odwołań, edycja nagłówków, tworzenie nowych katalogów
oraz uaktualnianie istniejących z plików źródłowych przez jedno
kliknięcie.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I admin
%{__autoconf}
%{__automake}
%configure \
	--disable-transmem \
	--with-wx-config=wx-gtk2-unicode-config \
	--%{?debug:en}%{!?debug:dis}able-debug

%{__make} \
	EXTRADIR="" \
	expatlib="-lexpat"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	EXTRADIR="" \
	DESTDIR=$RPM_BUILD_ROOT

# fix/update locale names
install -d $RPM_BUILD_ROOT%{_datadir}/locale/{af,fa,pt,sq}/LC_MESSAGES
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{af_ZA/LC_MESSAGES/poedit.mo,af/LC_MESSAGES/poedit.mo}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{fa_IR/LC_MESSAGES/poedit.mo,fa/LC_MESSAGES/poedit.mo}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{pt_PT/LC_MESSAGES/poedit.mo,pt/LC_MESSAGES/poedit.mo}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{sq_AL/LC_MESSAGES/poedit.mo,sq/LC_MESSAGES/poedit.mo}


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README TODO
%attr(755,root,root) %{_bindir}/poedit
%{_datadir}/poedit
%{_desktopdir}/poedit.desktop
%{_pixmapsdir}/poedit.png
%{_iconsdir}/hicolor/*/*/poedit.png
%{_iconsdir}/hicolor/*/*/poedit.svg
%{_mandir}/man1/poedit.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: poedit.spec,v $
Revision 1.62  2011/02/04 18:24:00  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.61  2010/04/17 18:42:39  wiget
- updated to 1.4.6.1

Revision 1.60  2010/03/28 15:41:34  dirdival
- up to 1.4.6

Revision 1.59  2010/03/01 16:26:18  sparky
- dropped unused BR: zip

Revision 1.58  2010/02/27 23:12:50  dirdival
- updated to 1.4.5

Revision 1.57  2010/01/29 21:56:30  dirdival
- updated to 1.4.4

Revision 1.56  2009/11/26 02:01:28  dirdival
- updated to 1.4.3
- fixed locale names
- removed poedit-locale_names.patch - locale fixed in spec

Revision 1.55  2008/12/26 03:05:59  adamg
- fixed previous commit msg

Revision 1.54  2008/12/26 01:52:48  adamg
- updated to 1.4.2

Revision 1.53  2008-05-03 14:40:24  adamg
- updated to 1.4.1

Revision 1.52  2008-03-14 21:04:06  adamg
- updated to 1.4

Revision 1.51  2008-02-28 18:33:54  megabajt
- proper license (MIT)
- added X11 to Group
- use desktop file and icon included in sources
- cleanup
- release 1

Revision 1.50  2007-12-12 10:24:14  adamg
- updated to 1.3.9

Revision 1.49  2007/03/16 10:13:23  sls
- added locale_names.patch

Revision 1.48  2007/03/16 09:06:12  sls
- asturian messages comes back

Revision 1.47  2007/03/16 09:02:52  sls
- there is non trivial translation to es_PR in poedit.spec

Revision 1.46  2007/03/16 04:37:49  sls
- removed gettextize

Revision 1.45  2007/03/16 04:02:43  sls
- fixed locale names

Revision 1.44  2007/03/16 03:59:06  sls
- looks like there is no mime files
- packaged icon files

Revision 1.43  2007/03/16 03:48:51  sls
- removed obsolated system_libs.patch
- system_lib related cleanup

Revision 1.42  2007/03/16 03:38:58  sls
- ver. 1.3.6

Revision 1.41  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.40  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.39  2006/11/07 22:30:05  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.38  2006/09/21 20:11:13  patrys
- updated for wxGTK2-unicode 2.6.x

Revision 1.37  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.36  2005/03/02 14:23:43  qboosh
- unified Source URL

Revision 1.35  2005/03/02 14:22:38  ciesiel
- change to proper source (do not use prefix before 'dl')

Revision 1.34  2005/03/02 13:53:44  koorek
- libs_patch back and updated to 1.3.2

Revision 1.33  2005/03/02 04:42:22  koorek
- updated to 1.3.2

Revision 1.32  2005/01/15 13:26:46  jack
- added missing poedit.{mime,keys} files from mime-info

Revision 1.31  2005/01/13 20:18:00  wiget
- BR: gtkspell-devel
- rebuild AC/AM (added -I admin to aclocal invocation)
- don't build contrib libs on install

Revision 1.30  2005/01/13 17:34:53  jack
- updated poedit to 1.3.1
- dropped Patch1 - it's already in sources
- still segfaults on startup (like 1.2.4) ;)

Revision 1.29  2004/11/08 18:24:50  zergin
- added missing BR: zip (by Zbyniu Krzystolik)

Revision 1.28  2004/11/05 12:31:26  paladine
- rel 0.2 for fixed desktop file

Revision 1.27  2004/10/29 14:56:53  paladine
- spelling fixes

Revision 1.26  2004/04/05 19:18:11  qboosh
- cleanups

Revision 1.25  2004/01/06 15:46:41  adamg
- updated to 1.2.4
- debug ready
- builds, but segfaults, trying to find out why...

Revision 1.24  2003/12/19 18:35:31  eothane
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

Revision 1.23  2003/10/14 09:46:47  adamg
- updated to 1.2.3, added DESTDIR patch

Revision 1.22  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:25:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/05/15 11:30:38  wiget
- apply patch0 and rebuild auto* stuff
- now build and works

Revision 1.18  2003/05/10 14:37:34  wiget
- start update to 1.2.2 (waiting for fixed wxWindows)

Revision 1.17  2003/03/13 23:01:16  aflinta
- updated to version 1.2.1

Revision 1.16  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.15  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/08/05 20:30:36  kloczek
- release 2.

Revision 1.13  2002/07/30 09:26:45  qboosh
- there is no %%{_datadir}/icons - moved to %%{_pixmapsdir}
  (but please check if it isn't hardcoded in sources...)

Revision 1.12  2002/07/23 17:21:57  kloczek
- release 2,
- kill another .chk bur raport and rebuild against latest wxGTK,
- use new %doc.

Revision 1.11  2002/05/21 23:14:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/05/05 10:42:27  ankry
- ftp Source URL instead of http (prdownloads.sourceforge.net does not seem
  to serve this file)

Revision 1.9  2002/04/29 19:45:08  filon
- updated to 1.1.8
- buildreq wxGTK-2.3.2-5
- buildreq autoconf,automake

Revision 1.8  2002/03/27 10:35:39  roman
- License: BSD license --> License: BSD

Revision 1.7  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/03/02 06:55:20  kloczek
- release 3: rebuild against wxGTK 2.3.2.

Revision 1.5  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/07 16:25:34  qboosh
- pl translations, release 2

Revision 1.2  2001/11/23 03:43:47  kloczek
- fixed Source0 url,
- added png Icon and .desktop file for poedit,
- some cosmetics and simplifications.

Revision 1.1  2001/11/22 21:49:55  filon
- based on spec from tarball
- rewrited for PLD
- release 1
